Bug 985746 - RFE: JDG Use Cases
RFE: JDG Use Cases
Status: POST
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER5
: ---
Assigned To: Rakesh
Misha H. Ali
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 02:53 EDT by Misha H. Ali
Modified: 2018-01-29 20:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 17:59:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Misha H. Ali 2013-08-08 02:24:41 EDT
Adding Mandar to this bug to assist Bob with Use Case development.
Comment 7 Misha H. Ali 2013-08-30 05:19:36 EDT
Use case(s) need to be included in the Beta version of the 6.2 documentation. The first draft for this bug is due Sep 12.
Comment 9 Misha H. Ali 2013-09-12 19:24:54 EDT
Looks like a good first draft to me, Bob. I've asked Gemma to have a look and provide any feedback she can think of.
Comment 10 Misha H. Ali 2013-09-12 19:49:10 EDT
Gemma and I have added some minor feedback to the etherpad. For a second draft, please improve the following:

* Sentence length - most of the sentences run on, and should be shortened for clarity and conciseness.
* Crisp editing - I have struck through several examples of unnecessary words. Words that contribute only to the length of a sentence, as opposed to contributing to the meaning or clarity, should be removed.

Please focus on the above in your second draft. Additionally, this task must remain on assigned until the final draft, so I'm setting this back to ASSIGNED.
Comment 11 Misha H. Ali 2013-09-12 19:52:22 EDT
Second complete edit due on 17 Sep.
Comment 13 Misha H. Ali 2013-09-23 20:30:14 EDT
Please review the use case topic. The headings should be in headers, formalpara or other, not paras. The chunks of text need to be broken down into more manageable paragraphs. Please review and improve the content.
Comment 14 Rakesh 2013-09-25 05:47:36 EDT
Use case extract sent to Zac Dover for review.
Comment 18 Misha H. Ali 2013-10-16 20:36:57 EDT
Looks OK for this iteration. Please update this to the relevant books and add a new revision.
Comment 21 Misha H. Ali 2013-10-21 15:25:58 EDT
Bobb, this looks OK content-wise but the format you have used looks odd.

Please use formalparas instead since this is the way to present definitions, not a use case.

Example:

<formalpara>
  <title>The Situation/Business challenge</title>
  <para>
   First paragraph
  </para>
</formalpara>

Have a try playing with formal paras today. Use the docbook reference to figure out how to use it and if you are stuck after some attempts, ask me or Gemma how to use them.

When you are done and it successfully builds, add a revision history.
Comment 23 Misha H. Ali 2013-11-07 17:59:56 EST
This content is available on:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/
Comment 24 Misha H. Ali 2013-12-04 00:48:09 EST
Reopening this bug. We need a newer use case that uses the 6.2 features. Bobb will develop this, and Divya will identify which features specifically he would like the use case to be about.
Comment 25 Rakesh 2013-12-09 14:31:35 EST
Received the following specific JDG 6.2 features from Divya:

> Querying ( Very important)
> C++ HR client 
> fast file cache store

-Requested Tristan to provide info on the features.

-Tristan provided point of contact for the features.

- SMEs identified. Gathering information.
Comment 26 Rakesh 2013-12-09 14:32:41 EST
- Received some info from Adrian Nistor for "Querying"
  - Processing Adrian's info
  - gathering info
  - Compiling info in ePad
- Communicated with Galder for "fast file cache store" 
  - Received some bits.
  - Researching this feature in Infinispan user guide
Comment 27 Rakesh 2013-12-17 02:31:31 EST
- Researched remote querying
- Discussion with Sanne on a use case scenario
  - Sanne suggested use case scenario - Telecom billing
  - Sanne pointed out "Embedded Querying" mode has more features.
- Communicated with Divya for specific Querying
- Divya mentioned "Embedded Querying"
- Requested Bhupesh Arya (Solutions Architect) for use case scenarios
- Emailed Sanne for more on "Embedded querying" and a scenario.
Comment 31 Rakesh 2014-02-05 01:11:25 EST
Use case draft development due Friday, Feb 14, 2014.
Comment 32 Rakesh 2014-02-16 15:51:23 EST
Created rough JDG use case ideas on Etherpad. SME inputs and feedback on each use case needed.
Comment 36 Rakesh 2014-02-23 16:20:55 EST
Drafts Edited. Added Company rqmnts, Problem, JDG feature, JDG feature benefit.
Comment 37 Rakesh 2014-04-04 07:17:11 EDT
Discussion with Divya over JDG 6.3 features.

Divya suggested to combine 6.2 and 6.3 feature sets in the use cases.

JDG 6.3 "security" features to be used:

Security.Library.Authentication
Security.HotRod.Authentication
Security.Authorization
Security.BetweenNodes

JDG 6.2 features to be used:

Embedded Querying  (including remote querying)
SingleFileCacheStore
Cross data center replication
Java and C++ Hot Rod clients (Compatibility mode)
Comment 40 Rakesh 2014-04-11 16:56:50 EDT
Implemented Romain's feedback on Embedded querying and SFCS drafts
Emailed revised Embedded Querying and SCFS drafts to Sanne and Galder for feedback
Consolidated JDG security 6.2 use case outline
Comment 43 Rakesh 2014-04-21 13:59:10 EDT
Suspending development of JDG 6.3 security use cases. Development of JDG 6.3 security feature documentation is a priority. The JDG security use case stories in 6.3 PRD can be added in the feature documentation section.
Comment 48 Rakesh 2014-05-12 16:04:16 EDT
SCFC use case draft approved by Galder
Reminded Sanne to review embedded querying draft and copied Divya
Comment 50 Mike McCune 2016-03-28 19:25:37 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.